Keine Installation mit Launcher o. Manuelle Installation möglich

Mehr
06 Jan 2017 17:45 #85388 von Genesis
Hi Leute,

habe versucht TPC erst durch den Launcher zu installieren und dann mit der Manuellen Installation.

Leider funktioniert beides nicht.

Launcher:

Nachdem ich auf Update geklickt habe hat er mir genau 1 Update angezeigt was nur ein paar kb groß war ---> Aktualisierung starten ---> Archiv frägt wohin ich das denn gerne entpackt haben möchte. Er hat mir den Desktop-Pfad angezeigt wo ich es auch entpackt habe, und erstellt daraufhin einen Mods/Stargate Ordner im FOC Verzeichnis.

Weitere Updates (1.0.0, 1.1.0 -//-...) scheinen aber nicht funktionieren da er mir folgendes Anzeigt:

Fehler
Ein unbekannter Fehler ist aufgetreten: 3

Btw. Derselbe Fehlercode wird angezeigt wenn ich das Archiv im FOC Ordner entpacken will.

Bei der manuellen Installation kann ich den Launcher nachdem ich die Dateien in das FOC Verzeichnis kopiert habe erst gar nicht ausführen da mir auch ein Fehler angezeigt wird:

Unknown Error occured in System. Windows. Threading. Dispatcher:
Ein Aufrufziel hat einen Ausnahmefehler verursacht.
Der Objektverweis wurde nicht auf eine Objektinstanz festgelegt.

Habe die EAW Gold Version und den RAM Patch von eurer website installiert.
Benutze Windows XP

Danke schon mal im Vorraus !

Villeicht erinnert sich ja der ein oder andere an mich :D

rg Genesis

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

  • Locutus
  • Locutuss Avatar
  • Offline
  • Administrator
  • Administrator
  • [SGMG] Project Co-Lead, Lead Coder, 3D-Artist
Mehr
06 Jan 2017 18:59 #85393 von Locutus
Hey,

lange nicht gesehen! Ja, ich erinner mich noch;)

Guck mal bitte ins FAQ was Launcherprobleme angeht und falls dir das nicht hilfreich erscheint bitte einmal das Log posten!


PS: Deine Mail kam an, vielen Dank dafür! Wir diskutieren das erst noch intern, dann gibt'e ne Antwort;)

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
06 Jan 2017 19:20 #85396 von Imperial
Hallo Genesis, wilkommen zurück!

Mir klingt das ganze als hättest du noch eine ganz alte Version des Launchers auf deiner Festplatte welcher nicht mehr mit den Einstellungen auf unseren Servern kompatibel ist, könnte das sein ? (neu von Moddb laden)

Der Launcher sollte automatisch die Archive entpacken und installieren, falls er nur alles lädt aber nicht installiert kannst du in
C:\Program Files (x86)\LucasArts\Star Wars Empire at War Forces of Corruption\Mods\Stargate\Patches
bzw .\StargateOpenBeta\Patches

Die archive alle manuell nacheinander (in richtiger Reihenfolge) auspacken, da wird ein "Data" Ordner in .\Patches entpackt.
Diesen Ordner schiebst du bitte sobald alles entpackt ist um eine Ebene höher in .\Stargte und überschreibst den alten Data ordner.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
06 Jan 2017 21:46 - 06 Jan 2017 21:50 #85400 von Genesis
Hi Jungs,

vielen dank für eure schnelle Antwort.

Ich habe die SuFu schon davor genutzt, und auch schon den Launcher von Moddb ausprobiert,
aber bei beiden kam jeweils derselbe Fehlercode ;) Es liegt also definitiv nicht an einem alten Launcher.

Ich bin jetzt mal auf eine blöde Idee gekommen und habe das "FOC RAM-MP Lobby Update" Installiert und wie davor den Data Ordner der 1.0.0 mit dem im FOC Verzeichnis überschrieben. Er lässt mich wenigstens die 1.0.0 über die Stargate.bat starten. Soweit ich weis ist das Lobby Update für 64bit Systeme gedacht, ich habe jedoch eine 32bit Maschine, strange.

Bekomme zwecks Launcher leider immernoch dieselbe Fehlermeldung:

Unknown Error occured in System. Windows. Threading. Dispatcher:
Ein Aufrufziel hat einen Ausnahmefehler verursacht.
Der Objektverweis wurde nicht auf eine Objektinstanz festgelegt.


Habe das Logfile des Launchers mal angehängt
Logfiles-Launcher.txt

Letzte Änderung: 06 Jan 2017 21:50 von Genesis.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
06 Jan 2017 22:46 #85401 von Imperial
Da wurde einfach versucht eine Instanz aufzurufen die nicht bekannt ist, irgendwo im Launcher Code.

Vielleicht will der Launcher auf Using verweise zugreifen die du auf deiner Maschiene garnicht installiert hast:
VCR-Dist, neuere Net-Framework oder sowas in der Art.
Da kann ich mir gut vorstellen dass dir auf XP noch sachen fehlen, die bei Win 7 bereits als gegeben vorrausgesetzt angenommen werden. (Ich finde es toll dass du noch auf XP geblieben bist: einfach und funktional.)

@Team: Was waren noch gleich die vorraussetzungen für unseren Launcher?

Ich wüsste auch gerne welche Version dein Launcher zur Zeit hat: Settings/Advanced/Launcher Version und Mod Version bitte.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

  • Locutus
  • Locutuss Avatar
  • Offline
  • Administrator
  • Administrator
  • [SGMG] Project Co-Lead, Lead Coder, 3D-Artist
Mehr
07 Jan 2017 02:31 #85406 von Locutus
Hast du eine Ausnahme für den Launcher bei deiner AV-Software hinzugefügt wie im FAQ gefordert?
Sieht so aus, als könne der Launcher den Download-Server nicht kontaktieren.
Und hat dein XP-Konto Administratorrechte?

Imperial schrieb: Da kann ich mir gut vorstellen dass dir auf XP noch sachen fehlen, die bei Win 7 bereits als gegeben vorrausgesetzt angenommen werden.

Der Launcher ist auch unter XP lauffähig - glaubst du nicht, dass wir sonst schon viel mehr Reports bekommen hätten?;)
Benötigt wird .NETFramework Version v4.0 oder höher, es sollte aber auch mit älteren Versionen funktionieren.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
07 Jan 2017 04:23 #85411 von Imperial
Solange bis ein Framework 4 feature verwendet wird und der Launcher abschmiert: ist aber bloß ne Theorie.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
07 Jan 2017 11:22 - 07 Jan 2017 11:24 #85413 von Genesis
Ich habe Net Framework 4 installiert und bin auch als Adminkonto angemeldet. XP benutze ich auch hauptsächlich nur für gaming da es sehr viele gute alte Spiele gibt, die entweder nur unter XP laufen oder einfach am flüssigsten :)

Der Launcher und SW EAW sind ebenfalls in der Firewall als Ausnahme hinzugefügt.

Launcherversion: 1.4.6
Modversion 0.0.0 (Obwohl ich die 1.0.0 der manuellen Installation drauf hab welche startfähig ist)

Meint Ihr es wäre auch eine TeamViewer session möglich oder ist euch das zu aufwendig?

btw FOC hat die Version 1.0.1 aber soweit ich weiß ist damit die 1.1 gemeint, da ich ja für die Gold Version keinen weiteren Patch benötige.
Letzte Änderung: 07 Jan 2017 11:24 von Genesis.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

  • Locutus
  • Locutuss Avatar
  • Offline
  • Administrator
  • Administrator
  • [SGMG] Project Co-Lead, Lead Coder, 3D-Artist
Mehr
07 Jan 2017 14:57 #85420 von Locutus

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Mehr
07 Jan 2017 22:40 - 08 Jan 2017 20:30 #85423 von Genesis
Ja das Funktioniert, er ladet mir die 1.0.0 runter, aber die Frage ist ja eigendlich die, wieso ich nicht an die ganzen patches komme =(
Letzte Änderung: 08 Jan 2017 20:30 von Genesis.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Ladezeit der Seite: 2.793 Sekunden